Get linked terminal application beta

Verifies if a specific Terminal Application is linked to an Account. This endpoint acts as a validation check for the link's existence.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/terminal-applications.read scope.

GET
/accounts/{accountID}/terminal-applications/{terminalApplicationID}
cURL TypeScript PHP Python Java Ruby
curl -X GET "https://api.moov.io/accounts/{accountID}/terminal-applications/{terminalApplicationID}" \
  -H "Authorization: Bearer {token}" \
import { SDK } from "openapi";

const sdk = new SDK({
  xMoovVersion: "v2024.01.00",
});

async function run() {
  const result = await sdk.accountTerminalApplications.get({
    accountID: "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e",
    terminalApplicationID: "12345678-1234-1234-1234-123456789012",
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use OpenAPI\OpenAPI;

$sdk = OpenAPI\SDK::builder()
    ->setXMoovVersion('v2024.01.00')
    ->build();



$response = $sdk->accountTerminalApplications->get(
    accountID: '76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e',
    terminalApplicationID: '12345678-1234-1234-1234-123456789012'

);

if ($response->accountTerminalApplication !== null) {
    // handle response
}
from openapi import SDK


with SDK(
    x_moov_version="v2024.01.00",
) as sdk:

    res = sdk.account_terminal_applications.get(account_id="76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e", terminal_application_id="12345678-1234-1234-1234-123456789012")

    # Handle response
    print(res)
package hello.world;

import java.lang.Exception;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.operations.GetAccountTerminalApplicationResponse;

public class Application {

    public static void main(String[] args) throws Exception {

        SDK sdk = SDK.builder()
                .xMoovVersion("v2024.01.00")
            .build();

        GetAccountTerminalApplicationResponse res = sdk.accountTerminalApplications().get()
                .accountID("76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e")
                .terminalApplicationID("12345678-1234-1234-1234-123456789012")
                .call();

        if (res.accountTerminalApplication().isPresent()) {
            // handle response
        }
    }
}
require 'openapi'

Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
      x_moov_version: 'v2024.01.00',
    )

res = s.account_terminal_applications.get(account_id: '76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e', terminal_application_id: '12345678-1234-1234-1234-123456789012')

unless res.account_terminal_application.nil?
  # handle response
end
200 401 403 404 429 500 504
The request completed successfully.
application/json
Describes link between an account and a terminal application.
{
  "accountID": "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e",
  "terminalApplicationID": "12345678-1234-1234-1234-123456789012"
}

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The requested resource was not found.

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string

Specify an API version.

API versioning follows the format vYYYY.QQ.BB, where

  • YYYY is the year
  • QQ is the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)
  • BB is the build number, starting at .01, for subsequent builds in the same quarter.
    • For example, v2024.01.00 is the initial release of the first quarter of 2024.

The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release. When no version is specified, the API defaults to v2024.01.00.

Path parameters

accountID

string required

terminalApplicationID

string required

Response

application/json
Describes link between an account and a terminal application.

accountID

string required
ID of the merchant account.

terminalApplicationID

string required
ID of the terminal application.